Subject: Re: Unable to use /dev/disk/by-id/ symlinks with u-boot and guix system reconfigure

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 23 Oct 2020 10:13:42 +0200

Hello,

> I don't quite understand why that would be the issue here; guix system
> reconfigure works fine when /dev/mmcblkN is specified target in the
> system config.scm, just not when the target is /dev/disk/by-id/...

I don't think it works fine with /dev/mmcblkN. I think the bootloader
configuration file is installed in /boot/extlinux/extlinux.conf when
using /dev/mmcblkN or /dev/disk/, but the bootloader itself is actually
never installed.

> ice-9/boot-9.scm:1669:16: In procedure raise-exception:
> ERROR:
>   1. &i/o-filename: "/dev/disk/by-id/mmc-SDU64_0xbaf3002e"

Thanks for testing. This is probably a regression in
"write-file-on-device" that fails to open this kind of files. I'll try
to reproduce it locally.

Thanks,

Mathieu